aagc.vo

## Class GetPianoTerapeuticoResponse

- java.lang.Object
- - aagc.vo.GetPianoTerapeuticoResponse

-     public class GetPianoTerapeuticoResponse
      extends java.lang.Object

  Classe Java per getPianoTerapeuticoResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="getPianoTerapeuticoResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="assistibilePianoTerapeutico" type="{http://www.nsisr.puglia.it/Schemas/}getAssistibilePianoTerapeuticoResponse" minOccurs="0"/>
               <element name="dataDecorrenzaPianoTerapeutico" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataRedazionePianoTerapeutico" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataTerminePianoTerapeutico" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="elencoPrestazionePrescrittaPianoTerapeutico" type="{http://www.nsisr.puglia.it/Schemas/}getElencoPrestazionePrescrittaPianoTerapeuticoResponse" minOccurs="0"/>
               <element name="prescrittorePianoTerapeutico" type="{http://www.nsisr.puglia.it/Schemas/}getPrescrittorePianoTerapeuticoResponse" minOccurs="0"/>
               <element name="primaPrescrizionePianoTerapeutico" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="prosecuzioneCuraPianoTerapeutico" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="strutturaPrescrittricePianoTerapeutico" type="{http://www.nsisr.puglia.it/Schemas/}getStrutturaPrescrittricePianoTerapeuticoResponse" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GetAssistibilePianoTerapeuticoResponse` | `assistibilePianoTerapeutico`
    `protected java.lang.String` | `dataDecorrenzaPianoTerapeutico`
    `protected java.lang.String` | `dataRedazionePianoTerapeutico`
    `protected java.lang.String` | `dataTerminePianoTerapeutico`
    `protected GetElencoPrestazionePrescrittaPianoTerapeuticoResponse` | `elencoPrestazionePrescrittaPianoTerapeutico`
    `protected GetPrescrittorePianoTerapeuticoResponse` | `prescrittorePianoTerapeutico`
    `protected boolean` | `primaPrescrizionePianoTerapeutico`
    `protected boolean` | `prosecuzioneCuraPianoTerapeutico`
    `protected GetStrutturaPrescrittricePianoTerapeuticoResponse` | `strutturaPrescrittricePianoTerapeutico`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPianoTerapeuticoResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetAssistibilePianoTerapeuticoResponse` | `getAssistibilePianoTerapeutico()` Recupera il valore della proprietà assistibilePianoTerapeutico.
    `java.lang.String` | `getDataDecorrenzaPianoTerapeutico()` Recupera il valore della proprietà dataDecorrenzaPianoTerapeutico.
    `java.lang.String` | `getDataRedazionePianoTerapeutico()` Recupera il valore della proprietà dataRedazionePianoTerapeutico.
    `java.lang.String` | `getDataTerminePianoTerapeutico()` Recupera il valore della proprietà dataTerminePianoTerapeutico.
    `GetElencoPrestazionePrescrittaPianoTerapeuticoResponse` | `getElencoPrestazionePrescrittaPianoTerapeutico()` Recupera il valore della proprietà elencoPrestazionePrescrittaPianoTerapeutico.
    `GetPrescrittorePianoTerapeuticoResponse` | `getPrescrittorePianoTerapeutico()` Recupera il valore della proprietà prescrittorePianoTerapeutico.
    `GetStrutturaPrescrittricePianoTerapeuticoResponse` | `getStrutturaPrescrittricePianoTerapeutico()` Recupera il valore della proprietà strutturaPrescrittricePianoTerapeutico.
    `boolean` | `isPrimaPrescrizionePianoTerapeutico()` Recupera il valore della proprietà primaPrescrizionePianoTerapeutico.
    `boolean` | `isProsecuzioneCuraPianoTerapeutico()` Recupera il valore della proprietà prosecuzioneCuraPianoTerapeutico.
    `void` | `setAssistibilePianoTerapeutico(GetAssistibilePianoTerapeuticoResponse value)` Imposta il valore della proprietà assistibilePianoTerapeutico.
    `void` | `setDataDecorrenzaPianoTerapeutico(java.lang.String value)` Imposta il valore della proprietà dataDecorrenzaPianoTerapeutico.
    `void` | `setDataRedazionePianoTerapeutico(java.lang.String value)` Imposta il valore della proprietà dataRedazionePianoTerapeutico.
    `void` | `setDataTerminePianoTerapeutico(java.lang.String value)` Imposta il valore della proprietà dataTerminePianoTerapeutico.
    `void` | `setElencoPrestazionePrescrittaPianoTerapeutico(GetElencoPrestazionePrescrittaPianoTerapeuticoResponse value)` Imposta il valore della proprietà elencoPrestazionePrescrittaPianoTerapeutico.
    `void` | `setPrescrittorePianoTerapeutico(GetPrescrittorePianoTerapeuticoResponse value)` Imposta il valore della proprietà prescrittorePianoTerapeutico.
    `void` | `setPrimaPrescrizionePianoTerapeutico(boolean value)` Imposta il valore della proprietà primaPrescrizionePianoTerapeutico.
    `void` | `setProsecuzioneCuraPianoTerapeutico(boolean value)` Imposta il valore della proprietà prosecuzioneCuraPianoTerapeutico.
    `void` | `setStrutturaPrescrittricePianoTerapeutico(GetStrutturaPrescrittricePianoTerapeuticoResponse value)` Imposta il valore della proprietà strutturaPrescrittricePianoTerapeutico.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### assistibilePianoTerapeutico

          protected GetAssistibilePianoTerapeuticoResponse assistibilePianoTerapeutico

    - #### dataDecorrenzaPianoTerapeutico

          protected java.lang.String dataDecorrenzaPianoTerapeutico

    - #### dataRedazionePianoTerapeutico

          protected java.lang.String dataRedazionePianoTerapeutico

    - #### dataTerminePianoTerapeutico

          protected java.lang.String dataTerminePianoTerapeutico

    - #### elencoPrestazionePrescrittaPianoTerapeutico

          protected GetElencoPrestazionePrescrittaPianoTerapeuticoResponse elencoPrestazionePrescrittaPianoTerapeutico

    - #### prescrittorePianoTerapeutico

          protected GetPrescrittorePianoTerapeuticoResponse prescrittorePianoTerapeutico

    - #### primaPrescrizionePianoTerapeutico

          protected boolean primaPrescrizionePianoTerapeutico

    - #### prosecuzioneCuraPianoTerapeutico

          protected boolean prosecuzioneCuraPianoTerapeutico

    - #### strutturaPrescrittricePianoTerapeutico

          protected GetStrutturaPrescrittricePianoTerapeuticoResponse strutturaPrescrittricePianoTerapeutico

  - ### Constructor Detail

    - #### GetPianoTerapeuticoResponse

          public GetPianoTerapeuticoResponse()

  - ### Method Detail

    - #### getAssistibilePianoTerapeutico

          public GetAssistibilePianoTerapeuticoResponse getAssistibilePianoTerapeutico()

      Recupera il valore della proprietà assistibilePianoTerapeutico.
      Returns:
        possible object is `GetAssistibilePianoTerapeuticoResponse`

    - #### setAssistibilePianoTerapeutico

          public void setAssistibilePianoTerapeutico(GetAssistibilePianoTerapeuticoResponse value)

      Imposta il valore della proprietà assistibilePianoTerapeutico.
      Parameters:
        `value` - allowed object is `GetAssistibilePianoTerapeuticoResponse`

    - #### getDataDecorrenzaPianoTerapeutico

          public java.lang.String getDataDecorrenzaPianoTerapeutico()

      Recupera il valore della proprietà dataDecorrenzaPianoTerapeutico.
      Returns:
        possible object is `String`

    - #### setDataDecorrenzaPianoTerapeutico

          public void setDataDecorrenzaPianoTerapeutico(java.lang.String value)

      Imposta il valore della proprietà dataDecorrenzaPianoTerapeutico.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataRedazionePianoTerapeutico

          public java.lang.String getDataRedazionePianoTerapeutico()

      Recupera il valore della proprietà dataRedazionePianoTerapeutico.
      Returns:
        possible object is `String`

    - #### setDataRedazionePianoTerapeutico

          public void setDataRedazionePianoTerapeutico(java.lang.String value)

      Imposta il valore della proprietà dataRedazionePianoTerapeutico.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataTerminePianoTerapeutico

          public java.lang.String getDataTerminePianoTerapeutico()

      Recupera il valore della proprietà dataTerminePianoTerapeutico.
      Returns:
        possible object is `String`

    - #### setDataTerminePianoTerapeutico

          public void setDataTerminePianoTerapeutico(java.lang.String value)

      Imposta il valore della proprietà dataTerminePianoTerapeutico.
      Parameters:
        `value` - allowed object is `String`

    - #### getElencoPrestazionePrescrittaPianoTerapeutico

          public GetElencoPrestazionePrescrittaPianoTerapeuticoResponse getElencoPrestazionePrescrittaPianoTerapeutico()

      Recupera il valore della proprietà elencoPrestazionePrescrittaPianoTerapeutico.
      Returns:
        possible object is `GetElencoPrestazionePrescrittaPianoTerapeuticoResponse`

    - #### setElencoPrestazionePrescrittaPianoTerapeutico

          public void setElencoPrestazionePrescrittaPianoTerapeutico(GetElencoPrestazionePrescrittaPianoTerapeuticoResponse value)

      Imposta il valore della proprietà elencoPrestazionePrescrittaPianoTerapeutico.
      Parameters:
        `value` - allowed object is `GetElencoPrestazionePrescrittaPianoTerapeuticoResponse`

    - #### getPrescrittorePianoTerapeutico

          public GetPrescrittorePianoTerapeuticoResponse getPrescrittorePianoTerapeutico()

      Recupera il valore della proprietà prescrittorePianoTerapeutico.
      Returns:
        possible object is `GetPrescrittorePianoTerapeuticoResponse`

    - #### setPrescrittorePianoTerapeutico

          public void setPrescrittorePianoTerapeutico(GetPrescrittorePianoTerapeuticoResponse value)

      Imposta il valore della proprietà prescrittorePianoTerapeutico.
      Parameters:
        `value` - allowed object is `GetPrescrittorePianoTerapeuticoResponse`

    - #### isPrimaPrescrizionePianoTerapeutico

          public boolean isPrimaPrescrizionePianoTerapeutico()

      Recupera il valore della proprietà primaPrescrizionePianoTerapeutico.

    - #### setPrimaPrescrizionePianoTerapeutico

          public void setPrimaPrescrizionePianoTerapeutico(boolean value)

      Imposta il valore della proprietà primaPrescrizionePianoTerapeutico.

    - #### isProsecuzioneCuraPianoTerapeutico

          public boolean isProsecuzioneCuraPianoTerapeutico()

      Recupera il valore della proprietà prosecuzioneCuraPianoTerapeutico.

    - #### setProsecuzioneCuraPianoTerapeutico

          public void setProsecuzioneCuraPianoTerapeutico(boolean value)

      Imposta il valore della proprietà prosecuzioneCuraPianoTerapeutico.

    - #### getStrutturaPrescrittricePianoTerapeutico

          public GetStrutturaPrescrittricePianoTerapeuticoResponse getStrutturaPrescrittricePianoTerapeutico()

      Recupera il valore della proprietà strutturaPrescrittricePianoTerapeutico.
      Returns:
        possible object is `GetStrutturaPrescrittricePianoTerapeuticoResponse`

    - #### setStrutturaPrescrittricePianoTerapeutico

          public void setStrutturaPrescrittricePianoTerapeutico(GetStrutturaPrescrittricePianoTerapeuticoResponse value)

      Imposta il valore della proprietà strutturaPrescrittricePianoTerapeutico.
      Parameters:
        `value` - allowed object is `GetStrutturaPrescrittricePianoTerapeuticoResponse`